<html>
<head>
<title>OGRE: Ogre::ZipArchive Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ZipArchive.html">ZipArchive</a></div>
<h1>Ogre::ZipArchive Class Reference</h1><!-- doxytag: class="Ogre::ZipArchive" --><!-- doxytag: inherits="Ogre::Archive" -->Specialisation of the <a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a> class to allow reading of files from a zip format source archive.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreZip_8h-source.html">OgreZip.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::ZipArchive:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1ZipArchive-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipArchive.html#d1f50e4b095e11526e79bfcf2c857b06">ZipArchive</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;archType)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipArchive.html#d477ccca5216e2066b473532c52258f4">~ZipArchive</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipArchive.html#4bb33f4e21a4ca69049eae7c6fc5b6e5">isCaseSensitive</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns whether this archive is case sensitive in the way it matches files.   <a href="#4bb33f4e21a4ca69049eae7c6fc5b6e5"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipArchive.html#3bb00b0bd7e3164082248bbedb273784">load</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Loads the archive. <p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This initializes all the internal data of the class. </dd></dl>
<dl class="warning" compact><dt><b>Warning:</b></dt><dd>Do not call this function directly, it is ment to be used only by the <a class="el" href="classOgre_1_1ArchiveManager.html" title="This class manages the available ArchiveFactory plugins.">ArchiveManager</a> class. </dd></dl>
  <a href="#3bb00b0bd7e3164082248bbedb273784"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipArchive.html#251d90b758ea60ede23cf6dc707d9fea">unload</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Unloads the archive. <p>
<dl class="warning" compact><dt><b>Warning:</b></dt><dd>Do not call this function directly, it is ment to be used only by the <a class="el" href="classOgre_1_1ArchiveManager.html" title="This class manages the available ArchiveFactory plugins.">ArchiveManager</a> class. </dd></dl>
  <a href="#251d90b758ea60ede23cf6dc707d9fea"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipArchive.html#589b99096196ff28ccb5514fb1e312d5">open</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Open a stream on a given file. <p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>There is no equivalent 'close' method; the returned stream controls the lifecycle of this file operation. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>filename</em>&nbsp;</td><td>The fully qualified name of the file </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A shared pointer to a <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading of data.">DataStream</a> which can be used to read / write the file. If the file is not present, returns a null shared pointer. </dd></dl>
  <a href="#589b99096196ff28ccb5514fb1e312d5"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SharedPtr.html">StringVectorPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipArchive.html#8cbf4313ddcec3c2dd511e02d7a9f3d8">list</a> (bool recursive=true, bool dirs=false)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">List all file names in the archive. <p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>This method only returns filenames, you can also retrieve other information using listFileInfo. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>recursive</em>&nbsp;</td><td>Whether all paths of the archive are searched (if the archive has a concept of that) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>dirs</em>&nbsp;</td><td>Set to true if you want the directories to be listed instead of files </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A list of filenames matching the criteria, all are fully qualified </dd></dl>
  <a href="#8cbf4313ddcec3c2dd511e02d7a9f3d8"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SharedPtr.html">FileInfoListPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipArchive.html#a7c40c98db185a0e0b6ecba912fc4550">listFileInfo</a> (bool recursive=true, bool dirs=false)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">List all files in the archive with accompanying information. <p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>recursive</em>&nbsp;</td><td>Whether all paths of the archive are searched (if the archive has a concept of that) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>dirs</em>&nbsp;</td><td>Set to true if you want the directories to be listed instead of files </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A list of structures detailing quite a lot of information about all the files in the archive. </dd></dl>
  <a href="#a7c40c98db185a0e0b6ecba912fc4550"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SharedPtr.html">StringVectorPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipArchive.html#3ba8ac8a8f041d2051c4f6ee158de7d2">find</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;pattern, bool recursive=true, bool dirs=false)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Find all file or directory names matching a given pattern in this archive. <p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>This method only returns filenames, you can also retrieve other information using findFileInfo. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>pattern</em>&nbsp;</td><td>The pattern to search for; wildcards (*) are allowed </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>recursive</em>&nbsp;</td><td>Whether all paths of the archive are searched (if the archive has a concept of that) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>dirs</em>&nbsp;</td><td>Set to true if you want the directories to be listed instead of files </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A list of filenames matching the criteria, all are fully qualified </dd></dl>
  <a href="#3ba8ac8a8f041d2051c4f6ee158de7d2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SharedPtr.html">FileInfoListPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipArchive.html#a8e4c87fb50f9f32587360894894eb16">findFileInfo</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;pattern, bool recursive=true, bool dirs=false)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Find all files or directories matching a given pattern in this archive and get some detailed information about them. <p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>pattern</em>&nbsp;</td><td>The pattern to search for; wildcards (*) are allowed </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>recursive</em>&nbsp;</td><td>Whether all paths of the archive are searched (if the archive has a concept of that) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>dirs</em>&nbsp;</td><td>Set to true if you want the directories to be listed instead of files </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A list of file information structures for all files matching the criteria. </dd></dl>
  <a href="#a8e4c87fb50f9f32587360894894eb16"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipArchive.html#0669dc93ae746f6070c44bba2f94594e">exists</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Find out if the named file exists (note: fully qualified filename required).   <a href="#0669dc93ae746f6070c44bba2f94594e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Archive.html#a4860f997861f44b61a436d55cdcc66b">getName</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the name of this archive.  <a href="#a4860f997861f44b61a436d55cdcc66b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Archive.html#b0fe79a8deba20a1cc1301f68805b621">getType</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return the type code of this <a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a>.  <a href="#b0fe79a8deba20a1cc1301f68805b621"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipArchive.html#a26bbb49e88485bee4dfaf61b418a87a">checkZzipError</a> (int zzipError, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;operation) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Handle any errors from zzip.  <a href="#a26bbb49e88485bee4dfaf61b418a87a"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="OgreZip_8h.html#8cee87e0d5584ff66b56196eec9758c4">ZZIP_DIR</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipArchive.html#c95bbd525401e829a38652abdb255003">mZzipDir</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Handle to root zip file.  <a href="#c95bbd525401e829a38652abdb255003"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#d87d047326eb42275e3f24117fe63481">FileInfoList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipArchive.html#33516e5d5f732b34a58413df6b2d5a06">mFileList</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">File list (since zziplib seems to only allow scanning of dir tree once).  <a href="#33516e5d5f732b34a58413df6b2d5a06"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Archive.html#b1e42e1a419b26b1b7c6f26b77dde5a3">mName</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a> name.  <a href="#b1e42e1a419b26b1b7c6f26b77dde5a3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Archive.html#bf7ba39bebb760ce55d517aa289096fb">mType</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a> type code.  <a href="#bf7ba39bebb760ce55d517aa289096fb"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Specialisation of the <a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a> class to allow reading of files from a zip format source archive. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This archive format supports all archives compressed in the standard zip format, including iD pk3 files. </dd></dl>

<p>Definition at line <a class="el" href="OgreZip_8h-source.html#l00049">49</a> of file <a class="el" href="OgreZip_8h-source.html">OgreZip.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="d1f50e4b095e11526e79bfcf2c857b06"></a><!-- doxytag: member="Ogre::ZipArchive::ZipArchive" ref="d1f50e4b095e11526e79bfcf2c857b06" args="(const String &amp;name, const String &amp;archType)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ZipArchive::ZipArchive           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>archType</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="d477ccca5216e2066b473532c52258f4"></a><!-- doxytag: member="Ogre::ZipArchive::~ZipArchive" ref="d477ccca5216e2066b473532c52258f4" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ZipArchive::~ZipArchive           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="a26bbb49e88485bee4dfaf61b418a87a"></a><!-- doxytag: member="Ogre::ZipArchive::checkZzipError" ref="a26bbb49e88485bee4dfaf61b418a87a" args="(int zzipError, const String &amp;operation) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ZipArchive::checkZzipError           </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>zzipError</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>operation</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Handle any errors from zzip. 
<p>

</div>
</div><p>
<a class="anchor" name="4bb33f4e21a4ca69049eae7c6fc5b6e5"></a><!-- doxytag: member="Ogre::ZipArchive::isCaseSensitive" ref="4bb33f4e21a4ca69049eae7c6fc5b6e5" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::ZipArchive::isCaseSensitive           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns whether this archive is case sensitive in the way it matches files.  
<p>

<p>Implements <a class="el" href="classOgre_1_1Archive.html#4169eee25281ebb54adeb9f06d9a7d80">Ogre::Archive</a>.</p>

<p>Definition at line <a class="el" href="OgreZip_8h-source.html#l00062">62</a> of file <a class="el" href="OgreZip_8h-source.html">OgreZip.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3bb00b0bd7e3164082248bbedb273784"></a><!-- doxytag: member="Ogre::ZipArchive::load" ref="3bb00b0bd7e3164082248bbedb273784" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ZipArchive::load           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Loads the archive. <p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This initializes all the internal data of the class. </dd></dl>
<dl class="warning" compact><dt><b>Warning:</b></dt><dd>Do not call this function directly, it is ment to be used only by the <a class="el" href="classOgre_1_1ArchiveManager.html" title="This class manages the available ArchiveFactory plugins.">ArchiveManager</a> class. </dd></dl>
 
<p>

<p>Implements <a class="el" href="classOgre_1_1Archive.html#6a073d74d1fab7d5499a35fab466c1b3">Ogre::Archive</a>.</p>

</div>
</div><p>
<a class="anchor" name="251d90b758ea60ede23cf6dc707d9fea"></a><!-- doxytag: member="Ogre::ZipArchive::unload" ref="251d90b758ea60ede23cf6dc707d9fea" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ZipArchive::unload           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Unloads the archive. <p>
<dl class="warning" compact><dt><b>Warning:</b></dt><dd>Do not call this function directly, it is ment to be used only by the <a class="el" href="classOgre_1_1ArchiveManager.html" title="This class manages the available ArchiveFactory plugins.">ArchiveManager</a> class. </dd></dl>
 
<p>

<p>Implements <a class="el" href="classOgre_1_1Archive.html#5c2927f6a35441ea77262f95e4b0a6a0">Ogre::Archive</a>.</p>

</div>
</div><p>
<a class="anchor" name="589b99096196ff28ccb5514fb1e312d5"></a><!-- doxytag: member="Ogre::ZipArchive::open" ref="589b99096196ff28ccb5514fb1e312d5" args="(const String &amp;filename) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> Ogre::ZipArchive::open           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>filename</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Open a stream on a given file. <p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>There is no equivalent 'close' method; the returned stream controls the lifecycle of this file operation. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>filename</em>&nbsp;</td><td>The fully qualified name of the file </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A shared pointer to a <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading of data.">DataStream</a> which can be used to read / write the file. If the file is not present, returns a null shared pointer. </dd></dl>
 
<p>

<p>Implements <a class="el" href="classOgre_1_1Archive.html#97a32cbab0c58de16f727e17298e5db0">Ogre::Archive</a>.</p>

</div>
</div><p>
<a class="anchor" name="8cbf4313ddcec3c2dd511e02d7a9f3d8"></a><!-- doxytag: member="Ogre::ZipArchive::list" ref="8cbf4313ddcec3c2dd511e02d7a9f3d8" args="(bool recursive=true, bool dirs=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SharedPtr.html">StringVectorPtr</a> Ogre::ZipArchive::list           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>recursive</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>dirs</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
List all file names in the archive. <p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>This method only returns filenames, you can also retrieve other information using listFileInfo. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>recursive</em>&nbsp;</td><td>Whether all paths of the archive are searched (if the archive has a concept of that) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>dirs</em>&nbsp;</td><td>Set to true if you want the directories to be listed instead of files </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A list of filenames matching the criteria, all are fully qualified </dd></dl>
 
<p>

<p>Implements <a class="el" href="classOgre_1_1Archive.html#777370220240813a2595689c913dec16">Ogre::Archive</a>.</p>

</div>
</div><p>
<a class="anchor" name="a7c40c98db185a0e0b6ecba912fc4550"></a><!-- doxytag: member="Ogre::ZipArchive::listFileInfo" ref="a7c40c98db185a0e0b6ecba912fc4550" args="(bool recursive=true, bool dirs=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SharedPtr.html">FileInfoListPtr</a> Ogre::ZipArchive::listFileInfo           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>recursive</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>dirs</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
List all files in the archive with accompanying information. <p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>recursive</em>&nbsp;</td><td>Whether all paths of the archive are searched (if the archive has a concept of that) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>dirs</em>&nbsp;</td><td>Set to true if you want the directories to be listed instead of files </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A list of structures detailing quite a lot of information about all the files in the archive. </dd></dl>
 
<p>

<p>Implements <a class="el" href="classOgre_1_1Archive.html#5c1747f4ab92962a5528a263c714dc31">Ogre::Archive</a>.</p>

</div>
</div><p>
<a class="anchor" name="3ba8ac8a8f041d2051c4f6ee158de7d2"></a><!-- doxytag: member="Ogre::ZipArchive::find" ref="3ba8ac8a8f041d2051c4f6ee158de7d2" args="(const String &amp;pattern, bool recursive=true, bool dirs=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SharedPtr.html">StringVectorPtr</a> Ogre::ZipArchive::find           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>pattern</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>recursive</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>dirs</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Find all file or directory names matching a given pattern in this archive. <p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>This method only returns filenames, you can also retrieve other information using findFileInfo. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>pattern</em>&nbsp;</td><td>The pattern to search for; wildcards (*) are allowed </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>recursive</em>&nbsp;</td><td>Whether all paths of the archive are searched (if the archive has a concept of that) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>dirs</em>&nbsp;</td><td>Set to true if you want the directories to be listed instead of files </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A list of filenames matching the criteria, all are fully qualified </dd></dl>
 
<p>

<p>Implements <a class="el" href="classOgre_1_1Archive.html#864dc708cbb78b00e7fd8053a8ad28fa">Ogre::Archive</a>.</p>

</div>
</div><p>
<a class="anchor" name="a8e4c87fb50f9f32587360894894eb16"></a><!-- doxytag: member="Ogre::ZipArchive::findFileInfo" ref="a8e4c87fb50f9f32587360894894eb16" args="(const String &amp;pattern, bool recursive=true, bool dirs=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SharedPtr.html">FileInfoListPtr</a> Ogre::ZipArchive::findFileInfo           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>pattern</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>recursive</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>dirs</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Find all files or directories matching a given pattern in this archive and get some detailed information about them. <p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>pattern</em>&nbsp;</td><td>The pattern to search for; wildcards (*) are allowed </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>recursive</em>&nbsp;</td><td>Whether all paths of the archive are searched (if the archive has a concept of that) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>dirs</em>&nbsp;</td><td>Set to true if you want the directories to be listed instead of files </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A list of file information structures for all files matching the criteria. </dd></dl>
 
<p>

<p>Implements <a class="el" href="classOgre_1_1Archive.html#11ea114ff5f17af87eb7b51c82118fae">Ogre::Archive</a>.</p>

</div>
</div><p>
<a class="anchor" name="0669dc93ae746f6070c44bba2f94594e"></a><!-- doxytag: member="Ogre::ZipArchive::exists" ref="0669dc93ae746f6070c44bba2f94594e" args="(const String &amp;filename)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::ZipArchive::exists           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>filename</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Find out if the named file exists (note: fully qualified filename required).  
<p>

<p>Implements <a class="el" href="classOgre_1_1Archive.html#dee2a6cd49a969e4329ea41eaa27e861">Ogre::Archive</a>.</p>

</div>
</div><p>
<a class="anchor" name="a4860f997861f44b61a436d55cdcc66b"></a><!-- doxytag: member="Ogre::ZipArchive::getName" ref="a4860f997861f44b61a436d55cdcc66b" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::Archive::getName           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the name of this archive. 
<p>

<p>Definition at line <a class="el" href="OgreArchive_8h-source.html#l00100">100</a> of file <a class="el" href="OgreArchive_8h-source.html">OgreArchive.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b0fe79a8deba20a1cc1301f68805b621"></a><!-- doxytag: member="Ogre::ZipArchive::getType" ref="b0fe79a8deba20a1cc1301f68805b621" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::Archive::getType           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Return the type code of this <a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a>. 
<p>

<p>Definition at line <a class="el" href="OgreArchive_8h-source.html#l00186">186</a> of file <a class="el" href="OgreArchive_8h-source.html">OgreArchive.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="c95bbd525401e829a38652abdb255003"></a><!-- doxytag: member="Ogre::ZipArchive::mZzipDir" ref="c95bbd525401e829a38652abdb255003" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="OgreZip_8h.html#8cee87e0d5584ff66b56196eec9758c4">ZZIP_DIR</a>* <a class="el" href="classOgre_1_1ZipArchive.html#c95bbd525401e829a38652abdb255003">Ogre::ZipArchive::mZzipDir</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Handle to root zip file. 
<p>

<p>Definition at line <a class="el" href="OgreZip_8h-source.html#l00053">53</a> of file <a class="el" href="OgreZip_8h-source.html">OgreZip.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="33516e5d5f732b34a58413df6b2d5a06"></a><!-- doxytag: member="Ogre::ZipArchive::mFileList" ref="33516e5d5f732b34a58413df6b2d5a06" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#d87d047326eb42275e3f24117fe63481">FileInfoList</a> <a class="el" href="classOgre_1_1ZipArchive.html#33516e5d5f732b34a58413df6b2d5a06">Ogre::ZipArchive::mFileList</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
File list (since zziplib seems to only allow scanning of dir tree once). 
<p>

<p>Definition at line <a class="el" href="OgreZip_8h-source.html#l00057">57</a> of file <a class="el" href="OgreZip_8h-source.html">OgreZip.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b1e42e1a419b26b1b7c6f26b77dde5a3"></a><!-- doxytag: member="Ogre::ZipArchive::mName" ref="b1e42e1a419b26b1b7c6f26b77dde5a3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1Archive.html#b1e42e1a419b26b1b7c6f26b77dde5a3">Ogre::Archive::mName</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a> name. 
<p>

<p>Definition at line <a class="el" href="OgreArchive_8h-source.html#l00084">84</a> of file <a class="el" href="OgreArchive_8h-source.html">OgreArchive.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="bf7ba39bebb760ce55d517aa289096fb"></a><!-- doxytag: member="Ogre::ZipArchive::mType" ref="bf7ba39bebb760ce55d517aa289096fb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1Archive.html#bf7ba39bebb760ce55d517aa289096fb">Ogre::Archive::mType</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a> type code. 
<p>

<p>Definition at line <a class="el" href="OgreArchive_8h-source.html#l00086">86</a> of file <a class="el" href="OgreArchive_8h-source.html">OgreArchive.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreZip_8h-source.html">OgreZip.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:55:20 2008
</p>
</body>
</html>
